spec:
  inputs:
    installStage:
      description: Inatall stage
      default: 'install-python-libraries'
   

---

install:
  stage: $[[ inputs.installStage ]]
  rules:
    - if: $CI_COMMIT_TAG
      when: never
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
      when: never
    - when: on_success
  script:
    - echo $CI_COMMIT_BRANCH
    - echo $CI_DEFAULT_BRANCH
    - echo $RC_CODE
    - python -V  # Print out python version for debugging
    - pip install virtualenv
    - virtualenv venv
    - source venv/bin/activate
    - pip install -r requirements.ci.txt
    - SEMANTIC_VERSION=$(python scripts/semantic_version.py)
    - echo "SEMANTIC_VERSION=$SEMANTIC_VERSION" >> build.env
    - echo "SEMANTIC_VERSION_RC=$SEMANTIC_VERSION-$RC_CODE" >> build.env
  artifacts:
    reports:
      dotenv:
        - build.env
    paths:
      - .cache/pip
      - venv
    expire_in: 1 hour